Part Point: Difference between revisions

From FreeCAD Documentation
Line 75: Line 75:
point.Y = 2
point.Y = 2
point.Z = 3
point.Z = 3
point.Placement= App.Placement(App.Vector(1,2,3), App.Rotation()


doc.recompute()
doc.recompute()

Revision as of 16:19, 2 March 2022

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Point

Menu location
Part → Create primitives → Point
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

A Part Point is a parametric point that can be created with the Part Primitives command. Its coordinates are relative to the coordinate system defined by its DataPlacement property.

Usage

See Part Primitives.

Properties

See also: Property editor.

A Part Point object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • DataX (Distance): The X coordinate of the point. The default is 0mm.
  • DataY (Distance): The Y coordinate of the point. The default is 0mm.
  • DataZ (Distance): The Z coordinate of the point. The default is 0mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Point can be created with the addObject() method of the document:

point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
  • Where "myPoint" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3

doc.recompute()